<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/color_f6f8f9"
    android:orientation="vertical">

    <include
        android:id="@+id/toolbar_include"
        layout="@layout/common_toolbar_layout" />

    <ScrollView
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:scrollbars="none">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="14dp"
                android:layout_marginTop="15dp"
                android:layout_marginRight="14dp"
                android:orientation="horizontal">

                <androidx.constraintlayout.widget.ConstraintLayout
                    android:layout_width="0dp"
                    android:layout_height="@dimen/dp_56"
                    android:layout_weight="1"
                    android:background="@drawable/bg_white_10dp">

                    <ImageView
                        android:layout_width="@dimen/dp_24"
                        android:layout_height="@dimen/dp_24"
                        android:layout_marginTop="5dp"
                        android:background="@drawable/icon_create_course_info_select"
                        app:layout_constraintLeft_toLeftOf="parent"
                        app:layout_constraintRight_toRightOf="parent"
                        app:layout_constraintTop_toTopOf="parent" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginBottom="3dp"
                        android:text="课程信息"
                        android:textColor="@color/color_2dc7aa"
                        android:textSize="@dimen/sp_14"
                        app:layout_constraintBottom_toBottomOf="parent"
                        app:layout_constraintLeft_toLeftOf="parent"
                        app:layout_constraintRight_toRightOf="parent" />

                </androidx.constraintlayout.widget.ConstraintLayout>

                <androidx.constraintlayout.widget.ConstraintLayout
                    android:layout_width="0dp"
                    android:layout_height="@dimen/dp_56"
                    android:layout_marginLeft="10dp"
                    android:layout_weight="1"
                    android:background="@drawable/bg_white_10dp">

                    <ImageView
                        android:layout_width="@dimen/dp_24"
                        android:layout_height="@dimen/dp_24"
                        android:layout_marginTop="5dp"
                        android:background="@drawable/icon_create_course_arrangement_select"
                        app:layout_constraintLeft_toLeftOf="parent"
                        app:layout_constraintRight_toRightOf="parent"
                        app:layout_constraintTop_toTopOf="parent" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginBottom="3dp"
                        android:text="课程安排"
                        android:textColor="@color/color_2dc7aa"
                        android:textSize="@dimen/sp_14"
                        app:layout_constraintBottom_toBottomOf="parent"
                        app:layout_constraintLeft_toLeftOf="parent"
                        app:layout_constraintRight_toRightOf="parent" />

                </androidx.constraintlayout.widget.ConstraintLayout>

                <androidx.constraintlayout.widget.ConstraintLayout
                    android:layout_width="0dp"
                    android:layout_height="@dimen/dp_56"
                    android:layout_marginLeft="10dp"
                    android:layout_weight="1"
                    android:background="@drawable/bg_white_10dp">

                    <ImageView
                        android:layout_width="@dimen/dp_24"
                        android:layout_height="@dimen/dp_24"
                        android:layout_marginTop="5dp"
                        android:background="@drawable/icon_create_teach_plan_normal"
                        app:layout_constraintLeft_toLeftOf="parent"
                        app:layout_constraintRight_toRightOf="parent"
                        app:layout_constraintTop_toTopOf="parent" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginBottom="3dp"
                        android:text="教学计划"
                        android:textColor="@color/color_b4b4b4"
                        android:textSize="@dimen/sp_14"
                        app:layout_constraintBottom_toBottomOf="parent"
                        app:layout_constraintLeft_toLeftOf="parent"
                        app:layout_constraintRight_toRightOf="parent" />

                </androidx.constraintlayout.widget.ConstraintLayout>

                <androidx.constraintlayout.widget.ConstraintLayout
                    android:layout_width="0dp"
                    android:layout_height="@dimen/dp_56"
                    android:layout_marginLeft="10dp"
                    android:layout_weight="1"
                    android:background="@drawable/bg_white_10dp">

                    <ImageView
                        android:layout_width="@dimen/dp_24"
                        android:layout_height="@dimen/dp_24"
                        android:layout_marginTop="5dp"
                        android:background="@drawable/icon_create_course_conditions_nornal"
                        app:layout_constraintLeft_toLeftOf="parent"
                        app:layout_constraintRight_toRightOf="parent"
                        app:layout_constraintTop_toTopOf="parent" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginBottom="3dp"
                        android:text="开课条件"
                        android:textColor="@color/color_b4b4b4"
                        android:textSize="@dimen/sp_14"
                        app:layout_constraintBottom_toBottomOf="parent"
                        app:layout_constraintLeft_toLeftOf="parent"
                        app:layout_constraintRight_toRightOf="parent" />

                </androidx.constraintlayout.widget.ConstraintLayout>
            </LinearLayout>


            <androidx.constraintlayout.widget.ConstraintLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="14dp"
                android:layout_marginTop="12dp"
                android:layout_marginRight="14dp"
                android:background="@drawable/bg_white_10dp">

                <ImageView
                    android:id="@+id/im_calendar_prev_month"
                    android:layout_width="28dp"
                    android:layout_height="28dp"
                    android:layout_marginLeft="17dp"
                    android:layout_marginTop="15dp"
                    android:padding="5dp"
                    android:src="@drawable/icon_calendar_prev_month"
                    app:layout_constraintLeft_toLeftOf="parent"
                    app:layout_constraintTop_toTopOf="parent" />


                <TextView
                    android:id="@+id/tv_title_month"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:paddingTop="5dp"
                    android:text="2021年9月"
                    android:textColor="@color/black_333"
                    android:textSize="@dimen/sp_18"
                    app:layout_constraintLeft_toLeftOf="parent"
                    app:layout_constraintRight_toRightOf="parent"
                    app:layout_constraintTop_toTopOf="@+id/im_calendar_prev_month" />

                <ImageView
                    android:id="@+id/im_calendar_next_month"
                    android:layout_width="28dp"
                    android:layout_height="28dp"
                    android:layout_marginTop="15dp"
                    android:layout_marginRight="17dp"
                    android:padding="5dp"
                    android:src="@drawable/icon_calendar_next_month"
                    app:layout_constraintRight_toRightOf="parent"
                    app:layout_constraintTop_toTopOf="parent" />

                <com.haibin.calendarview.CalendarLayout
                    android:id="@+id/calendarLayout"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="5dp"
                    android:layout_marginBottom="13dp"
                    android:orientation="vertical"
                    app:calendar_show_mode="both_month_week_view"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintTop_toBottomOf="@+id/tv_title_month">

                    <com.cooleshow.base.widgets.MyCalenderView
                        android:id="@+id/calendarView"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:paddingStart="@dimen/dp_8"
                        android:paddingEnd="@dimen/dp_8"
                        app:calendar_height="@dimen/dp_56"
                        app:current_day_text_color="@color/colorPrimary"
                        app:current_month_text_color="@color/black_444"
                        app:day_text_size="@dimen/dp_15"
                        app:layout_constraintEnd_toEndOf="parent"
                        app:layout_constraintStart_toStartOf="parent"
                        app:layout_constraintTop_toTopOf="parent"
                        app:max_year="2100"
                        app:min_year="1990"
                        app:month_view="com.cooleshow.teacher.widgets.SimpleMonthView"
                        app:month_view_show_mode="mode_only_current"
                        app:scheme_text_color="@color/color_ff6363"
                        app:scheme_theme_color="@color/white"
                        app:select_mode="single_mode"
                        app:selected_text_color="@color/white"
                        app:selected_theme_color="@color/colorPrimary"
                        app:week_background="@color/white"
                        app:week_bar_height="@dimen/dp_45"
                        app:week_line_background="@color/color_f2f2f2"
                        app:week_start_with="sun"
                        app:week_text_color="@color/gray_777"
                        app:week_text_size="@dimen/dp_16"
                        app:week_view="com.cooleshow.teacher.widgets.SimpleWeekView"
                        app:year_view_background="@color/white" />

                </com.haibin.calendarview.CalendarLayout>

            </androidx.constraintlayout.widget.ConstraintLayout>

            <androidx.constraintlayout.widget.ConstraintLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="14dp"
                android:layout_marginTop="12dp"
                android:layout_marginRight="14dp"
                android:background="@drawable/bg_white_10dp"
                android:minHeight="@dimen/dp_115">

                <View
                    android:id="@+id/view_line"
                    android:layout_width="4dp"
                    android:layout_height="14dp"
                    android:layout_marginLeft="11dp"
                    android:layout_marginTop="21dp"
                    android:background="@drawable/shap_gradient_59e5d5"
                    app:layout_constraintLeft_toLeftOf="parent"
                    app:layout_constraintTop_toTopOf="parent" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="7dp"
                    android:text="已选择课程时间"
                    android:textColor="@color/black_333"
                    android:textSize="@dimen/sp_16"
                    android:textStyle="bold"
                    app:layout_constraintBottom_toBottomOf="@+id/view_line"
                    app:layout_constraintLeft_toRightOf="@+id/view_line"
                    app:layout_constraintTop_toTopOf="@+id/view_line" />


                <androidx.recyclerview.widget.RecyclerView
                    android:id="@+id/rv_select_time"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="3dp"
                    android:layout_marginTop="7dp"
                    android:layout_marginRight="3dp"
                    app:layout_constraintTop_toBottomOf="@+id/view_line" />
            </androidx.constraintlayout.widget.ConstraintLayout>


            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="29dp"
                android:layout_marginTop="82dp"
                android:layout_marginRight="28dp"
                android:layout_marginBottom="35dp"
                android:orientation="horizontal">

                <TextView
                    android:id="@+id/tv_prev_step"
                    android:layout_width="0dp"
                    android:layout_height="@dimen/dp_44"
                    android:layout_marginRight="3dp"
                    android:layout_weight="1"
                    android:background="@drawable/border_corner_2dc7aa"
                    android:gravity="center"
                    android:text="上一步"
                    android:textColor="@color/color_2dc7aa"
                    android:textSize="@dimen/sp_18" />

                <TextView
                    android:id="@+id/tv_next_step"
                    android:layout_width="0dp"
                    android:layout_height="@dimen/dp_44"
                    android:layout_marginLeft="3dp"
                    android:layout_weight="1"
                    android:background="@drawable/shape_course_status_ing"
                    android:gravity="center"
                    android:text="下一步"
                    android:textColor="@color/white"
                    android:textSize="@dimen/sp_18" />
            </LinearLayout>
        </LinearLayout>
    </ScrollView>

</LinearLayout>